Skip to content
Back to top
View this page

# HeaderVersionHistory

class chango.concrete.HeaderVersionHistory

  Bases: `VersionHistory`, `Generic`

  A simple version history implementation that renders version notes by prefixing them with the version UID as header, followed by the release date if available.

  render(markup)

    Does the rendering.

    Tip

    Version notes are automatically sorted by release date before rendering. If unreleased changes are present, they are rendered first.

    Important

    Currently, only Markdown, HTML and reStructuredText are supported as markup languages.

    Parameters:

      markup (`str`) – The markup language to use for rendering.

    Returns:

      The rendered version history.

    Return type:

      `str`

    Raises:

      UnsupportedMarkupError – If the `markup` parameter does not coincide with `MARKDOWN`, `HTML`, or `RESTRUCTUREDTEXT`